Package org.gitana.platform.client.beans

# Class ACL

java.lang.Object
org.gitana.platform.client.beans.ACL

public class ACL extends Object

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`ACL()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String principal, ACLEntry entry)`
`List<ACLEntry>`
`getEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACL

public ACL()

## Method Details

### add

public void add(String principal, ACLEntry entry)

### getEntries

public List<ACLEntry> getEntries()